package com.ruoyi.system.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.TdLeave;

/**
 * 人员离职Mapper接口
 * 
 * @author ruoyi
 * @date 2024-04-16
 */
public interface TdLeaveMapper extends BaseMapper<TdLeave>
{
    /**
     * 查询人员离职
     *
     * @param id 人员离职主键
     * @return 人员离职
     */
    public TdLeave selectTdLeaveById(Long id);

    /**
     * 查询人员离职列表
     *
     * @param tdLeave 人员离职
     * @return 人员离职集合
     */
    public List<TdLeave> selectTdLeaveList(TdLeave tdLeave);

    /**
     * 新增人员离职
     *
     * @param tdLeave 人员离职
     * @return 结果
     */
    public int insertTdLeave(TdLeave tdLeave);

    /**
     * 修改人员离职
     *
     * @param tdLeave 人员离职
     * @return 结果
     */
    public int updateTdLeave(TdLeave tdLeave);

    /**
     * 删除人员离职
     *
     * @param id 人员离职主键
     * @return 结果
     */
    public int deleteTdLeaveById(Long id);

    /**
     * 批量删除人员离职
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTdLeaveByIds(String[] ids);
}
